SIP-клиент с поддержкой ZRTP? (Linphone?)

Ответить

Автор темы
booBot
Сообщения: 262
Зарегистрирован: 24 июн 2015, 11:19

SIP-клиент с поддержкой ZRTP? (Linphone?)

#1

Сообщение booBot » 25 июн 2015, 18:02

Добрый день!

С какой версии Linphone появляется поддержка ZRTP?

Я пробовал две версии: v3.3.2 (на Lubuntu 12.04) и v3.6 (на Lubuntu 15.04), ни в одной из них ZRTP не обнаруживается.
Почему?

Кстати, почему я получаю (сегодня, 2015-06-25) Linphone не 3.8, которая объявлена ещё в марте этого года?
(apt-get install linphone)

Если ZRTP в Linphone и на самом деле нет, какой SIP-клиент посоветуете (кроме jitsi)?

Аватара пользователя

zhart
Администратор
Сообщения: 1777
Зарегистрирован: 16 дек 2010, 13:09
Контактная информация:

Re: SIP-клиент с поддержкой ZRTP? (Linphone?)

#2

Сообщение zhart » 25 июн 2015, 21:35

Последнюю версию Linphone можно установить из ppa:

Код: Выделить всё

sudo add-apt-repository ppa:linphone/release
sudo apt-get update
sudo apt-get install linphone
По поводу поддержки ZRTP не скажу точно, но если верить оф. сайту, этот протокол должен быть доступен с давних версий. Хотя, может есть отличия у десктопных и мобильных версий.

P.S.: Сам я Linphone не использую и на уточняющие вопросы вряд-ли смогу ответить.


Автор темы
booBot
Сообщения: 262
Зарегистрирован: 24 июн 2015, 11:19

Re: SIP-клиент с поддержкой ZRTP? (Linphone?)

#3

Сообщение booBot » 26 июн 2015, 11:03

zhart, спасибо!

Установил Linphone v3.8.3 - ZRTP появился, но ни с PhonerLite'ом, ни с Zphone+eyeBeam'ом шифрование (с помощью ZRTP) не работает - или нет шифрования, или нет звука вообще...

Хоть Jitsi ставь...


Автор темы
booBot
Сообщения: 262
Зарегистрирован: 24 июн 2015, 11:19

SIP-клиент с поддержкой ZRTP? (Linphone?)

#4

Сообщение booBot » 12 июл 2018, 17:20

Lubuntu BB 18.04

Подключил ppa:linphone/release, но всё равно, при запросе установки и/или обновления linphone приходит не самая свежая версия, а застарелая v3.6.1

В чём может быть дело?

Аватара пользователя

chadwick
Сообщения: 186
Зарегистрирован: 07 авг 2016, 03:09

SIP-клиент с поддержкой ZRTP? (Linphone?)

#5

Сообщение chadwick » 12 июл 2018, 18:42

booBot писал(а):
12 июл 2018, 17:20
В чём может быть дело?
в этом PPA вообще нет linphone для Lubuntu BB 18.04, а 3.6.1 у вас устанавливается из штатного репозитория; на официальном сайте есть flatpak, вот его и устанавливайте (как это сделать там тоже написано)


Автор темы
booBot
Сообщения: 262
Зарегистрирован: 24 июн 2015, 11:19

SIP-клиент с поддержкой ZRTP? (Linphone?)

#6

Сообщение booBot » 16 июл 2018, 11:31

Спасибо за подсказку!

Но, всё-таки, что-то пошло не так, хотя делалось строго по инструкции:
  • flatpak установил успешно
  • но он говорит, что linphone v4.1.1 не найден на данном ресурсе...

Аватара пользователя

chadwick
Сообщения: 186
Зарегистрирован: 07 авг 2016, 03:09

SIP-клиент с поддержкой ZRTP? (Linphone?)

#7

Сообщение chadwick » 16 июл 2018, 17:22

booBot писал(а):
16 июл 2018, 11:31
linphone v4.1.1 не найден на данном ресурсе
дистрибутив 32-бит? если да, то flatpak у них только для 64-бит


Автор темы
booBot
Сообщения: 262
Зарегистрирован: 24 июн 2015, 11:19

SIP-клиент с поддержкой ZRTP? (Linphone?)

#8

Сообщение booBot » 17 июл 2018, 11:08

Да, у меня 32-битовая (EeePC-901) машина.
И что теперь делать? Где взять свежую версию Linphone?

Аватара пользователя

chadwick
Сообщения: 186
Зарегистрирован: 07 авг 2016, 03:09

SIP-клиент с поддержкой ZRTP? (Linphone?)

#9

Сообщение chadwick » 17 июл 2018, 19:53

booBot писал(а):
17 июл 2018, 11:08
И что теперь делать? Где взять свежую версию Linphone?
собирать из исходников или запускать win-версию через wine

Ответить